Gecode::Branchers Class Reference

Class to iterate over branchers in a group. More...

`#include <core.hpp>`

## Public Member Functions

| Branchers (const Space &home, BrancherGroup g)
| Initialize.
bool | operator() (void) const
| Test whether there are branchers left.
void | operator++ (void)
| Move iterator to next brancher.
const Brancher & | brancher (void) const
| Return propagator.

## Detailed Description

Class to iterate over branchers in a group.

Definition at line 2772 of file core.hpp.

## Constructor & Destructor Documentation

## Branchers()

Gecode::Branchers::Branchers | ( | const Space & | home,
|  | BrancherGroup | g )

inline

Initialize.

Definition at line 5081 of file core.hpp.

## Member Function Documentation

## operator()()

bool Gecode::Branchers::operator() | ( | void |  | ) | const

inline

Test whether there are branchers left.

Definition at line 5087 of file core.hpp.

## operator++()

void Gecode::Branchers::operator++ | ( | void |  | ) |

inline

Move iterator to next brancher.

Definition at line 5091 of file core.hpp.

## brancher()

const Brancher & Gecode::Branchers::brancher | ( | void |  | ) | const

inline

Return propagator.

Definition at line 5097 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp